Search:

# CWIS Developers Documentation

Public Member Functions | Public Attributes

# UserFactory Class Reference

## Public Member Functions
| UserFactory ($SessionOrDb)
| CreateNewUser ($UserName, $Password, $PasswordAgain, $EMail, $EMailAgain, $IgnoreErrorCodes=NULL)
| Create new user.
| TestNewUserValues ($UserName, $Password, $PasswordAgain, $EMail, $EMailAgain)
| GetUserCount ($Condition=NULL)
| Return number of users in the system.
| GetMatchingUserCount ()
| GetLoggedInUsers ()
| GetRecentlyLoggedInUsers ($Since=NULL, $Limit=10)
| GetUsersWithPrivileges ()
| FindUsers ($SearchString, $FieldName="UserName", $SortFieldName="UserName", $Offset=0, $Count=9999999)
| FindUserNames ($SearchString, $FieldName="UserName", $SortFieldName="UserName", $Offset=0, $Count=9999999)
| GetMatchingUsers ($SearchString, $FieldName=NULL, $SortFieldName="UserName", $ResultsStartAt=0, $ReturnNumber=NULL)
| UserNameExists ($UserName)
| EMailAddressIsInUse ($Address)
| GetNewestUsers ($Limit=5)
| Get the users sorted by when they signed up, starting with those who signed up most recently.
| CompareUsersForSort ($UserA, $UserB)
## Public Attributes
| $DB
| $Session
| $SortFieldName
| $MatchingUserCount

List of all members.

## Detailed Description

Definition at line 18 of file Axis--UserFactory.php.

Inheritance diagram for UserFactory:
[legend]

## Member Function Documentation

UserFactory::CompareUsersForSort | ( | $ | UserA,
|  | $ | UserB
| ) |  |

Definition at line 525 of file Axis--UserFactory.php.

UserFactory::CreateNewUser | ( | $ | UserName,
|  | $ | Password,
|  | $ | PasswordAgain,
|  | $ | EMail,
|  | $ | EMailAgain,
|  | $ | IgnoreErrorCodes = `NULL`
| ) |  |

Create new user.

The second password and e-mail address parameters are intended for second copies of each entered by the user.

Parameters:

  UserName | Login name for new user.
  Password | Password for new user.
  PasswordAgain | Second copy of password entered by user.
  EMail | E-mail address for new user.
  EMailAgain | Second copy of e-mail address entered by user.
  IgnoreErrorCodes | Array containing any error codes that should be ignored. (OPTIONAL)

Returns:
  User object or array of error codes.

Definition at line 63 of file Axis--UserFactory.php.

References User::NormalizeUserName(), and TestNewUserValues().

UserFactory::EMailAddressIsInUse | ( | $ | Address ) |

Definition at line 475 of file Axis--UserFactory.php.

References User::NormalizeEMailAddress().

Referenced by TestNewUserValues().

Here is the caller graph for this function:

UserFactory::FindUserNames | ( | $ | SearchString,
|  | $ | FieldName = `"UserName"`,
|  | $ | SortFieldName = `"UserName"`,
|  | $ | Offset = `0`,
|  | $ | Count = `9999999`
| ) |  |

Definition at line 322 of file Axis--UserFactory.php.

References User::IsValidUserName().

Referenced by FindUsers().

Here is the caller graph for this function:

UserFactory::FindUsers | ( | $ | SearchString,
|  | $ | FieldName = `"UserName"`,
|  | $ | SortFieldName = `"UserName"`,
|  | $ | Offset = `0`,
|  | $ | Count = `9999999`
| ) |  |

Definition at line 302 of file Axis--UserFactory.php.

References $SortFieldName, and FindUserNames().

UserFactory::GetLoggedInUsers | ( | ) |

Definition at line 202 of file Axis--UserFactory.php.

References Session::GetFromAllSessions().

UserFactory::GetMatchingUserCount | ( | ) |

Definition at line 196 of file Axis--UserFactory.php.

UserFactory::GetMatchingUsers | ( | $ | SearchString,
|  | $ | FieldName = `NULL`,
|  | $ | SortFieldName = `"UserName"`,
|  | $ | ResultsStartAt = `0`,
|  | $ | ReturnNumber = `NULL`
| ) |  |

Definition at line 371 of file Axis--UserFactory.php.

References $SortFieldName.

UserFactory::GetNewestUsers | ( | $ | Limit = `5` ) |

Get the users sorted by when they signed up, starting with those who signed up most recently.

By default, the number of users returned is five.

Parameters:

  $Limit | the maximum number of users to return

Definition at line 495 of file Axis--UserFactory.php.

UserFactory::GetRecentlyLoggedInUsers | ( | $ | Since = `NULL`,
|  | $ | Limit = `10`
| ) |  |

Definition at line 223 of file Axis--UserFactory.php.

UserFactory::GetUserCount | ( | $ | Condition = `NULL` ) |

Return number of users in the system.

Parameters:

  Condition | SQL condition (without "WHERE") to limit user count. (OPTIONAL)

Returns:
  Count of users.

Definition at line 188 of file Axis--UserFactory.php.

UserFactory::GetUsersWithPrivileges | ( | ) |

Definition at line 273 of file Axis--UserFactory.php.

UserFactory::TestNewUserValues | ( | $ | UserName,
|  | $ | Password,
|  | $ | PasswordAgain,
|  | $ | EMail,
|  | $ | EMailAgain
| ) |  |

Definition at line 102 of file Axis--UserFactory.php.

References EMailAddressIsInUse(), User::IsValidLookingEMailAddress(), User::IsValidPassword(), User::IsValidUserName(), User::NormalizeEMailAddress(), User::NormalizePassword(), User::NormalizeUserName(), and UserNameExists().

Referenced by CreateNewUser().

Here is the caller graph for this function:

UserFactory::UserFactory | ( | $ | SessionOrDb ) |

Definition at line 23 of file Axis--UserFactory.php.

UserFactory::UserNameExists | ( | $ | UserName ) |

Definition at line 459 of file Axis--UserFactory.php.

References User::NormalizeUserName().

Referenced by TestNewUserValues().

Here is the caller graph for this function:

## Member Data Documentation

UserFactory::$DB

Definition at line 519 of file Axis--UserFactory.php.

UserFactory::$MatchingUserCount

Definition at line 522 of file Axis--UserFactory.php.

UserFactory::$Session

Definition at line 520 of file Axis--UserFactory.php.

Referenced by SPTUserFactory::__construct().

UserFactory::$SortFieldName

Definition at line 521 of file Axis--UserFactory.php.

Referenced by FindUsers(), and GetMatchingUsers().

The documentation for this class was generated from the following file:

- Axis--UserFactory.php